/*
 * @brief PCx85063 inclusion file
 * Version 1.0
 * @note
 * Copyright(C) NXP Semiconductors, 2020
 * All rights reserved.
 *
 * @par
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * LPC products.  This software is supplied "AS IS" without any warranties of
 * any kind, and NXP Semiconductors and its licensor disclaim any and
 * all warranties, express or implied, including all implied warranties of
 * merchantability, fitness for a particular purpose and non-infringement of
 * intellectual property rights.  NXP Semiconductors assumes no responsibility
 * or liability for the use of the software, conveys no license or rights under any
 * patent, copyright, mask work right, or any other intellectual property rights in
 * or to any products. NXP Semiconductors reserves the right to make changes
 * in the software without notification. NXP Semiconductors also makes no
 * representation or warranty that such application will be suitable for the
 * specified use without further testing or modification.
 *
 * @par
 * Permission to use, copy, modify, and distribute this software and its
 * documentation is hereby granted, under NXP Semiconductors' and its
 * licensor's relevant copyrights in the software, without fee, provided that it
 * is used in conjunction with NXP Semiconductors microcontrollers.  This
 * copyright, permission, and disclaimer notice must appear in all copies of
 * this code.
 */

#define Control_1 	0x00		//Control_1 register address
#define Control_2 	0x01		//Control_2 register address 
#define Offset 		0x02		//Offset register address
#define RAM_byte 	0x03            //RAM_byte register address 
#define	Seconds 	0x04 		//Seconds register address
#define	Minutes 	0x05            //Minutes register address 
#define	Hours  		0x06		//Hours register address 
#define	Days            0x07            //Days register address 
#define	Weekdays 	0x08		//Weekdays register address 
#define	Months 		0x09            //Months register address 
#define	Years 		0x0a		//Years register address 
#define	Second_alarm 	0x0b            //Second_alarm register address 
#define	Minute_alarm 	0x0c		//Minute_alarm register address 
#define	Hour_alarm 	0x0d            //Hour_alarm register address 
#define	Day_alarm 	0x0e		//Day_alarm register address 
#define	Weekday_alarm 	0x0f            //Weekday_alarm register address 
#define Timer_value 	0x10            //Timer_value register address 
#define Timer_mode 	0x11            //Timer_mode register address  

int Control_1_reg;			//Control_1 register			
int Control_2_reg;			//Control_2 register
int Offset_reg;			        //Offset register
int RAM_byte_reg;                       //RAM_byte register
int Seconds_reg;			//Seconds register   
int Minutes_reg;                        //Minutes register
int Hours_reg;			        //Hours register   
int Days_reg;                           //Days register
int Weekdays_reg;	     	        //Weekdays register
int Months_reg;                         //Months register
int Years_reg;                          //Years register
int Second_alarm_reg;                   //Second_alarm register
int Minute_alarm_reg;                   //Minute_alarm register
int Hour_alarm_reg;                     //Hour_alarm register
int Day_alarm_reg;			//Day_alarm register
int Weekday_reg;		        //Weekday_alarm register
int Timer_value_reg;			//Timer_value register
int Timer_mode_reg;                     //Timer_mode register
